#
# spec file for package rubygem-gemojione
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-gemojione
Version:        4.1.0
Release:        lp150.1.2
%define mod_name gemojione
%define mod_full_name %{mod_name}-%{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
Url:            http://github.com/jonathanwiesel/gemojione
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        A gem for EmojiOne
License:        MIT
Group:          Development/Languages/Ruby

%description
A gem for EmojiOne.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Sat Mar  2 2019 Stephan Kulow <coolo@suse.com>
- updated to version 4.1.0
  see installed CHANGELOG.md
  [#]# [v4.0.0](https://github.com/jonathanwiesel/gemojione/tree/v3.3.0) (2019-02-08)
  * *Implemented enhancements:**
  - Upgraded to EmojiOne version 4.5
* Thu Aug  3 2017 coolo@suse.com
- updated to version 3.3.0
  see installed CHANGELOG.md
  [#]# [v3.3.0](https://github.com/jonathanwiesel/gemojione/tree/v3.3.0) (2017-07-14)
  [Full Changelog](https://github.com/jonathanwiesel/gemojione/compare/v3.2.0...v3.3.0)
  * *Implemented enhancements:**
  - Add aliases search support in `replace_named_moji_with_images`.
  - Add emoji finder by shortname.
  - Add access to emoji list.
  - Add emoji finder by category.
  * *Fixed bugs:**
  - Remove trailing comma from `cartwheel_tone4`.
  * *Merged pull requests:**
  - Add aliases search support in replace_named_moji_with_images [\#38](https://github.com/jonathanwiesel/gemojione/pull/38) ([jonathanwiesel](https://github.com/jonathanwiesel))
  - Enable emoji retrieval by shortname [\#42](https://github.com/jonathanwiesel/gemojione/pull/42) ([amyspark](https://github.com/amyspark))
  - Remove misplaced comma [\#49](https://github.com/jonathanwiesel/gemojione/pull/49) ([connorshea](https://github.com/connorshea))
  - Enable emoji access to emoji list [\#43](https://github.com/jonathanwiesel/gemojione/pull/43) ([ryosuke-endo](https://github.com/ryosuke-endo))
  - emoji group find by category [\#44](https://github.com/jonathanwiesel/gemojione/pull/44) ([ryosuke-endo](https://github.com/ryosuke-endo))
  - Be clearer about spritesheet sizing [\#47](https://github.com/jonathanwiesel/gemojione/pull/47) ([gnclmorais](https://github.com/gnclmorais))
* Sat Oct 29 2016 coolo@suse.com
- updated to version 3.2.0
  see installed CHANGELOG.md
  [#]# [v3.2.0](https://github.com/jonathanwiesel/gemojione/tree/v3.2.0) (2016-08-22)
  [Full Changelog](https://github.com/jonathanwiesel/gemojione/compare/v3.1.0...v3.2.0)
  * *Implemented enhancements:**
  - Sprite and  ASCII!  [\#25](https://github.com/jonathanwiesel/gemojione/pull/25) ([naveed-ahmad](https://github.com/naveed-ahmad))
  [#]# [v3.1.0](https://github.com/jonathanwiesel/gemojione/tree/v3.1.0) (2016-07-30)
  [Full Changelog](https://github.com/jonathanwiesel/gemojione/compare/v3.0.1...v3.1.0)
  * *Implemented enhancements:**
  - Add helper for named mojis as well [\#27](https://github.com/jonathanwiesel/gemojione/pull/27) ([gnclmorais](https://github.com/gnclmorais))
  - Add find by keyword method [\#24](https://github.com/jonathanwiesel/gemojione/pull/24) ([jonathanwiesel](https://github.com/jonathanwiesel))
  - Add gay\_pride\_flag [\#22](https://github.com/jonathanwiesel/gemojione/pull/22) ([jonathanwiesel](https://github.com/jonathanwiesel))
  - Update mrs\_claus asset for glasses reflexion  [\#28](https://github.com/jonathanwiesel/gemojione/issues/28)
  * *Fixed bugs:**
  - Bring back `speech_left` definition that was wrongly removed.
  - Remove duplicate ascii alias for `innocent` definition.
* Tue Jul 19 2016 mrueckert@suse.de
- update to 3.0.1
* Wed Jul  6 2016 mrueckert@suse.de
- update to 2.6.1
* Mon Feb 22 2016 mrueckert@suse.de
- update to 2.2.1
* Tue Dec 29 2015 mrueckert@suse.de
- update to 2.1.1
* Tue Dec  1 2015 mrueckert@suse.de
- update to 2.1.0
* Wed Mar 25 2015 mrueckert@suse.de
- initial package
